<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

<xsl:output method="html" version="4" encoding="UTF-8"/>

<xsl:include href="commonattributes-hidden.xsl"/>
<xsl:include href="commonimages.xsl"/>
<xsl:include href="common-editgroup.xsl"/>
<xsl:include href="common-uielements.xsl"/>
<xsl:include href="commonjavascript.xsl"/>


<!--
*******************************************************************************
* Core of the template stylesheet addcontact.xsl
*******************************************************************************
-->
<xsl:template match="/">
  <html>
    <head>
      <title>
    <xsl:text>_SunONE Address Book</xsl:text> - <xsl:text>_Add group</xsl:text>
  </title>     
  <script src="../absjs/browserVersion.js"></script>
  <script src="../absjs/scripts.js"></script>
  <script>       
  if (is_ie5up) // IE5
  {    
  document.write('&lt;link type="text/css" rel="stylesheet" href="../absimx/ab_css_ie5win.css"&gt;');
  }
  else if (is_gecko) // Netscape 6/7 or Mozilla
  {
  document.write('&lt;link type="text/css" rel="stylesheet" href="../absimx/ab_css_ns6up.css"&gt;');
  }
  else  // All others
  {
  document.write('&lt;link type="text/css" rel="stylesheet" href="../absimx/ab_css_ns6up.css"&gt;');
  }
  </script>

  <script language="javascript" src="../absjs/common.js"/>
  <script language="javascript">
    <xsl:call-template name="commonjavascript"/>            
    
    function save() {
      if((document.iabform["<xsl:value-of select="$fieldPrefix"/>displayName"].value).trim()=="")
      {
       alert("<xsl:text>_Display name cannot be blank or only whitespaces</xsl:text>");
       return;
      }
      document.iabform.stopsearch.value=1;
      if (selectWnd &amp;&amp; !selectWnd.closed) selectWnd.cancel();
      submitForm('addgroup');      
    }
    
    function cancel() {
      if (selectWnd &amp;&amp; !selectWnd.closed) {
         var msg = '<xsl:text>_Browser pop-up(s) opened from this window are still open. Do you want to close them as well?</xsl:text>';         
         if( window.confirm(msg) ) {
           selectWnd.close();         
           parent.close();
         }
      } else parent.close();
    }
  
    function help() {
     var helpurl = '<xsl:value-of select="/xslui/@contexturi"/>/help/<xsl:text>_languagepath</xsl:text>/addressbk/creategp.html';
     openhelp(helpurl);
    } 
    
    function initPage() {
          var errornum = '<xsl:value-of select="/xslui/errormessages/error/@errnum"/>';
          
          if( errornum != null &#38;&#38;  errornum != '' &#38;&#38;  errornum == '2' ) {
            var reloadWin = parent.opener.parent;
            var parentOpener = parent.opener;
            
            if( !reloadWin )
              reloadWin = parent.opener;
                        
            var parentLoc = parentOpener.location.href;
            parentOpener.location.href = parentLoc + (parentLoc.indexOf("?") &gt; 0?"&amp;":"?") + "stopsearch=1";
            reloadWin.location.href = reloadWin.location.href;
            reloadWin.focus();
            parent.close();
          } else {
            document.iabform.<xsl:value-of select="$fieldPrefix"/>displayName.focus();
          }
        }

  </script>
</head>
<body leftmargin="0" topmargin="0" rightmargin="0" marginwidth="0" marginheight="0">
  <xsl:attribute name="onload">
    javascript:initPage();
  </xsl:attribute> 

      <form method="post" name="iabform" action="search.xml">
        <input type="hidden" name="j_encoding" value="{/xslui/@charset}"/>
        <input type="hidden" name="uiaction" value=""/>
        <input type="hidden" name="entryid" value=""/>
        <input type="hidden" name="prefix" value="{$fieldPrefix}"/>
        <input type="hidden" name="{$fieldPrefix}entrytype" value="group"/>
        <input type="hidden" name="{$fieldPrefix}memberOfPIBook" value="{/xslui/iab/pagedsearch/searchresult/@bookid}"/>

        <xsl:call-template name="contextKeeper">
          <xsl:with-param name="pagedSearch" select="/xslui/iab/pagedsearch"/>
        </xsl:call-template>

        <table width="100%" border="0" cellspacing="0" cellpadding="0">
           <xsl:attribute name="summary">
            <xsl:text>_This table contains the page title</xsl:text>
          </xsl:attribute>
           <tbody>
	      <tr>
                 <td class="PopupTitle" width="100%">
                     <span class="PopupTitleText">
                         <xsl:text>_New Group</xsl:text>
                     </span>
                  </td>
               </tr>
           </tbody>
        </table>

        <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="right"><img src="../absimx/required.gif" width="7" height="14" alt="Indicates a required field"/>
            <xsl:text>_Indicates a required field</xsl:text><img src="{$spacer.gif}" width="10" height="15" alt=""/></td>
        </tr>
        </table>

        <xsl:variable name="error" select="/xslui/errormessages/error"/>
        <xsl:if test="$error/@errnum != '2'">
          <xsl:apply-templates select="$error" mode="plain"/> 
        </xsl:if>

        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <xsl:attribute name="summary">
            <xsl:text>_This table contains group properties</xsl:text>
          </xsl:attribute>

           <xsl:choose>
             <xsl:when test="/xslui/iab/entrycontext/group">
                <xsl:call-template name="groupDetails">
                   <xsl:with-param name="group" select="/xslui/iab/entrycontext/group"/>
                 </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="groupDetails"/>
              </xsl:otherwise>
            </xsl:choose> 
            <xsl:choose>
              <xsl:when test="/xslui/iab/entrycontext/groupmembers">
                <xsl:call-template name="groupMembers">
                   <xsl:with-param name="members" select="/xslui/iab/entrycontext/groupmembers"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="groupMembers"/>
              </xsl:otherwise>
            </xsl:choose> 
        </table>
        <!-- These calls keeps the already selected context -->
        <xsl:for-each select="/xslui/iab/alreadyselected/*">
          <input type="hidden" name="selectedentry" value="{entry/@entryID}"/>
        </xsl:for-each>
        <xsl:apply-templates select="/xslui/iab/alreadyselected" mode="hidden"/>
      </form>
    </body>
  </html>
</xsl:template>
</xsl:stylesheet>
